ADD_PAGE_WAIT_QUEUE(9)

NAME
add_page_wait_queue - Add an arbitrary waiter to a page's wait queue

SYNOPSIS

void add_page_wait_queue(struct page * page, wait_queue_t * waiter);

ARGUMENTS

page
    Page defining the wait queue of interest

waiter
    Waiter to add to the queue

DESCRIPTION

Add an arbitrary waiter to the wait queue for the nominated page.

COPYRIGHT